package _VisualDVM.TestingSystem.DVM.DVMTasks;
import Common.Utils.Index;
import _VisualDVM.TestingSystem.Common.Group.Group;
import _VisualDVM.TestingSystem.Common.Test.Test;
import _VisualDVM.TestingSystem.DVM.DVMConfiguration.DVMConfiguration;
import com.google.gson.annotations.Expose;

import java.util.List;
import java.util.Vector;
public class DVMCompilationTask extends DVMTask {
    @Expose
    public List<DVMRunTask> runTasks = new Vector<>();
    //-
    public DVMCompilationTask() {
    }
    //--
    public DVMCompilationTask(Index index, DVMConfiguration configuration, String flags_in, Group group, Test test) {
        super(index, configuration, group, test, flags_in);
        maxtime = configuration.c_maxtime;
    }
    //--
}
